# updated for ttk

set xanchor centre
set yanchor centre
set zanchor centre




proc create_recentre_gadget { parent} {
  global xanchor yanchor zanchor

    ttk::label $parent.title -text "Set object centres"
    pack $parent.title -side top -fill x

    ttk::frame $parent.f1 -border 2 -relief raised
    pack $parent.f1 -fill both -expand 1

# ROW 0

    ttk::label $parent.f1.xmin -text MIN
    grid $parent.f1.xmin -row 0 -column 1

    ttk::label $parent.f1.x -text Cent
    grid $parent.f1.x -row 0 -column 2

    ttk::label $parent.f1.xmax -text MAX
    grid $parent.f1.xmax -row 0 -column 3

# ROW 1

    ttk::label $parent.f1.ymax -text "X"
    grid $parent.f1.ymax -row 1 -column 0

    ttk::radiobutton $parent.f1.11 -value min -variable xanchor 
    grid $parent.f1.11 -row 1 -column 1

    ttk::radiobutton $parent.f1.12 -value centre -variable xanchor 
    grid $parent.f1.12 -row 1 -column 2

    ttk::radiobutton $parent.f1.13 -value max -variable xanchor 

    grid $parent.f1.13 -row 1 -column 3

# ROW 2

    ttk::label $parent.f1.y -text "Y"
    grid $parent.f1.y -row 2 -column 0

    ttk::radiobutton $parent.f1.21 -value min -variable yanchor
    grid $parent.f1.21 -row 2 -column 1

    ttk::radiobutton $parent.f1.22 -value centre -variable yanchor
    grid $parent.f1.22 -row 2 -column 2

    ttk::radiobutton $parent.f1.23 -value max -variable yanchor
    grid $parent.f1.23 -row 2 -column 3

# ROW 3

    ttk::label $parent.f1.ymin -text "Z"
    grid $parent.f1.ymin -row 3 -column 0

    ttk::radiobutton $parent.f1.31 -value min -variable zanchor
    grid $parent.f1.31 -row 3 -column 1

    ttk::radiobutton $parent.f1.32 -value centre -variable zanchor
    grid $parent.f1.32 -row 3 -column 2

    ttk::radiobutton $parent.f1.33 -value max -variable zanchor
    grid $parent.f1.33 -row 3 -column 3


    ttk::frame $parent.f3
    pack $parent.f3 -side bottom -fill x

    ttk::button $parent.f3.ok -text "Apply" -command {
      eval ac3d selection_recentre $xanchor $yanchor $zanchor
      ac3d redraw_orth
    }
    pack $parent.f3.ok -side left -fill x -expand 1


}


proc selection_recentre_dialog {} {
	ac_toplevel_with_close .recentre "Centre" create_recentre_gadget
}






